src/main/java/br/com/home/gestor/controller/RelatoriosController.java
package br.com.home.gestor.controller;

import java.io.Serializable;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import org.joda.time.LocalDate;
import org.primefaces.model.chart.PieChartModel;
import org.springframework.context.annotation.Scope;

import br.com.home.gestor.dh.LancamentoCategoria;
import br.com.home.gestor.modelo.Mes;

@Named
@Scope("view")
public class RelatoriosController implements Serializable{

	@Inject
	private GraficoPizzaPorCategoriaController graficoPizzaPorCategoriaController;
	
	@Inject
	private TabelaEntradaSaidaPorCategoriaController tabelaEntradaSaidaPorCategoriaController;
	
	private boolean mostraGrafico;
	
	private Mes mes;
	private int ano;
	
	public void init(){
		LocalDate hoje = LocalDate.now();
		
		mes = new Mes(hoje.getMonthOfYear());
		ano = hoje.getYear();
		mostraGrafico = true;
		atualizar();
	}
	
	public void atualizar(){
		graficoPizzaPorCategoriaController.createChart(mes.getId(), ano);
		tabelaEntradaSaidaPorCategoriaController.createTable(mes.getId(), ano);
	}
	
	public PieChartModel getGraficoPizzaPorCategoriaChart() {
		return graficoPizzaPorCategoriaController.getChartModel();
	}
	
	public List<LancamentoCategoria> getTabelaEntradaSaidaCategoria(){
		return tabelaEntradaSaidaPorCategoriaController.getLancamentosPorPeriodo();
	}

	public int getAno() {
		return ano;
	}
	
	public void setMes(int id){
		mes = new Mes(id);
	}
	
	public int getMes(){
		return mes.getId();
	}
	
	public boolean isMostraGrafico() {
		return mostraGrafico;
	}
	
	public void trocaGraficoTabela(){
		mostraGrafico = !mostraGrafico;
	}
}

src/main/webapp/pages/relatorios/grafico-pizza-categoria.xhtml
<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

<h:panelGroup styleClass="row-fluid">
	
	<div class="span12">
		<div class="row-fluid">
			<div class="span12">
				<p:chart type="pie" model="#{relatoriosController.graficoPizzaPorCategoriaChart}"
							style="height:600px"/>
			</div>
		</div>
	</div>
	
</h:panelGroup>
</ui:composition>

src/main/webapp/pages/relatorios/relatorios.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
		xmlns:pretty="http://ocpsoft.com/prettyfaces"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:g="http://java.sun.com/jsf/composite/componentes"
        xmlns:p="http://primefaces.org/ui">

<ui:composition template="/templates/template.xhtml">

<ui:define name="titulo">Relatórios e Análises</ui:define>
<ui:define name="conteudo">

	<br/>
	<h:form>
		<div class="row-fluid">
			<div class="span1">
				<h:selectOneMenu value="#{relatoriosController.mes}" style="width: 70px">
					<f:selectItems value="#{colecoesController.meses}" var="m" itemLabel="#{m.nome}" itemValue="#{m.id}" />
				</h:selectOneMenu>
			</div>
			<div class="span11">
				<h:commandButton value="OK" action="#{relatoriosController.atualizar()}" />
			</div>
		</div>
		
		<div align="right" class="row-fluid">
			<h:commandLink styleClass="btn" action="#{relatoriosController.trocaGraficoTabela()}" title="Visão Gráfico/Tabela">
				<i class="icon-tasks"></i>
			</h:commandLink>
		</div>
		
		<div class="row-fluid">
			<h:panelGroup rendered="#{relatoriosController.mostraGrafico}">
				<div class="span12">
					<ui:include src="grafico-pizza-categoria.xhtml" />
				</div>
			</h:panelGroup>
			<h:panelGroup rendered="#{!relatoriosController.mostraGrafico}">
				<div class="span12">
					<ui:include src="tabela-entrada-saida-categoria.xhtml" />
				</div>
			</h:panelGroup>
		</div>
	</h:form>
</ui:define>
</ui:composition>
</html>

src/main/webapp/pages/relatorios/tabela-entrada-saida-categoria.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:pretty="http://ocpsoft.com/prettyfaces"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:g="http://java.sun.com/jsf/composite/componentes"
        xmlns:p="http://primefaces.org/ui">

<h:panelGroup styleClass="row-fluid">
	<div class="span12">
		<table class="table">
			<thead>
				<tr>
					<th>Tipo</th>
					<th>Categoria</th>
					<th>Valor</th>
				</tr>
			</thead>
			<tbody>
				<ui:repeat var="item" value="#{relatoriosController.tabelaEntradaSaidaCategoria}">
					<tr>
						<td>
							<h:panelGroup rendered="#{item.entrada}">
								<div style="background: green; width:0px; border-bottom-style: solid;border-bottom-width: 5px;border-bottom-style: solid;bo">
								</div>
							</h:panelGroup>
						</td>
						<td>
							<h:outputText value="#{item.categoria}"  />
						</td>
						<td>
							<h:outputText value="#{item.valor}" >
								<f:convertNumber type="currency" currencySymbol="R$" maxFractionDigits="2" minFractionDigits="2" />
							</h:outputText>
						</td>
					</tr>
				</ui:repeat>
			</tbody>
		</table>
	</div>
</h:panelGroup>
</html>